com.h3c.util.pkt

## Enum IcmpTypeCodeV6

- java.lang.Object
- - java.lang.Enum<IcmpTypeCodeV6>
  - - com.h3c.util.pkt.IcmpTypeCodeV6

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<IcmpTypeCodeV6>

      public enum IcmpTypeCodeV6
      extends Enum<IcmpTypeCodeV6>
      implements ProtocolEnum

  ICMPv6 Message type (high byte) and code (low byte) combinations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CERT_PATH_ADVERTISE` ICMPv6 Certification path advertisement (SEND).
    `CERT_PATH_SOLICIT` ICMPv6 Certification path solicitation (SEND).
    `DST_UNREACH_ADDR` ICMPv6 Destination unreachable - address unreachable.
    `DST_UNREACH_ADMIN_PROHIBIT` ICMPv6 Destination unreachable - communication with destination administratively prohibited.
    `DST_UNREACH_BEYOND_SCOPE_SRC_ADDR` ICMPv6 Destination unreachable - beyond scope of source address.
    `DST_UNREACH_ERROR` ICMPv6 Destination unreachable - error in source routing header.
    `DST_UNREACH_NO_ROUTE_DST` ICMPv6 Destination unreachable - no route to destination.
    `DST_UNREACH_PORT` ICMPv6 Destination unreachable - port unreachable.
    `DST_UNREACH_REJECT_ROUTE` ICMPv6 Destination unreachable - reject route to destination.
    `DST_UNREACH_SRC_ADDR_FAIL_POLICY` ICMPv6 Destination unreachable - source address failed ingress/egress policy.
    `ECHO_REPLY` ICMPv6 Echo reply.
    `ECHO_REQ` ICMPv6 Echo request.
    `HOME_AGENT_DISCO_REPLY` ICMPv6 Home agent address discovery reply message.
    `HOME_AGENT_DISCO_REQ` ICMPv6 Home agent address discovery request message.
    `INV_NEIGHBOR_ADVERTISE_NDP` ICMPv6 Inverse neighbor advertise solicitation Message.
    `INV_NEIGHBOR_SOLICIT_NDP` ICMPv6 Inverse neighbor discovery solicitation Message.
    `MOBILE_PREFIX_ADVERTISE` ICMPv6 Mobile prefix advertisement.
    `MOBILE_PREFIX_SOLICIT` ICMPv6 Mobile prefix solicitation.
    `MULTICAST_LISTENER_DISCO_REPORTS` ICMPv6 Inverse neighbor advertise solicitation message.
    `MULTICAST_LISTENER_DONE` ICMPv6 Multicast listener report.
    `MULTICAST_LISTENER_QUERY` ICMPv6 Multicast listener query.
    `MULTICAST_LISTENER_REPORT` ICMPv6 Multicast listener report.
    `MULTICAST_ROUTER_ADVERTISE` ICMPv6 Multicast router advertisement (MRD).
    `MULTICAST_ROUTER_SOLICIT` ICMPv6 Multicast router advertisement (MRD).
    `MULTICAST_ROUTER_TERM` ICMPv6 Multicast router termination (MRD).
    `NEIGHBOR_ADVERTISE_NDP` ICMPv6 Neighbor advertisement (Neighbor Discovery Protocol).
    `NEIGHBOR_SOLICIT_NDP` ICMPv6 Neighbor solicitation (Neighbor Discovery Protocol).
    `NIQ_NAME` ICMPv6 Node information query - name.
    `NIQ_V4_ADDR` ICMPv6 Node information query - IPv4 address.
    `NIQ_V6_ADDR` ICMPv6 Node information query - IPv6 address.
    `NIR_REFUSE` ICMPv6 Node information response - responder refuses to answer.
    `NIR_REPLY_OK` ICMPv6 Node information response - successful reply.
    `NIR_UNK` ICMPv6 Node information response - query unknown.
    `NONE` No type/code.
    `PARAM_PROB_ERR_HDR_FIELD` ICMPv6 Parameter problem - error header field.
    `PARAM_PROB_UNK_IPV6_OPTION` ICMPv6 Parameter problem - unknown IPv6 option.
    `PARAM_PROB_UNK_NEXT_HDR` ICMPv6 Parameter problem - unknown next header type.
    `PKT_TOO_BIG` ICMPv6 Packet too big.
    `REDIRECT_MSG_NDP` ICMPv6 Redirect message (Neighbor Discovery Protocol).
    `ROUTER_ADVERTISE_NDP` ICMPv6 Router advertisement (Neighbor Discovery Protocol).
    `ROUTER_RENUM_CMD` ICMPv6 Router renumbering - command.
    `ROUTER_RENUM_RESET` ICMPv6 Router renumbering - sequence number reset.
    `ROUTER_RENUM_RESULT` ICMPv6 Router renumbering - result.
    `ROUTER_SOLICT_NDP` ICMPv6 Router solicitation (Neighbor Discovery Protocol).
    `RPL_CTRL` ICMPv6 RPL control message.
    `TIME_EXCEED_FRAG_REASS` ICMPv6 Time exceeded - fragment re-assembly time exceeded.
    `TIME_EXCEED_HOP_LIMIT` ICMPv6 Time exceeded - hop limit exceeded in transit.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static IcmpTypeCodeV6` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IcmpTypeCodeV6[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final IcmpTypeCodeV6 NONE

      No type/code.

    - #### DST_UNREACH_NO_ROUTE_DST

          public static final IcmpTypeCodeV6 DST_UNREACH_NO_ROUTE_DST

      ICMPv6 Destination unreachable - no route to destination.

    - #### DST_UNREACH_ADMIN_PROHIBIT

          public static final IcmpTypeCodeV6 DST_UNREACH_ADMIN_PROHIBIT

      ICMPv6 Destination unreachable - communication with destination administratively prohibited.

    - #### DST_UNREACH_BEYOND_SCOPE_SRC_ADDR

          public static final IcmpTypeCodeV6 DST_UNREACH_BEYOND_SCOPE_SRC_ADDR

      ICMPv6 Destination unreachable - beyond scope of source address.

    - #### DST_UNREACH_ADDR

          public static final IcmpTypeCodeV6 DST_UNREACH_ADDR

      ICMPv6 Destination unreachable - address unreachable.

    - #### DST_UNREACH_PORT

          public static final IcmpTypeCodeV6 DST_UNREACH_PORT

      ICMPv6 Destination unreachable - port unreachable.

    - #### DST_UNREACH_SRC_ADDR_FAIL_POLICY

          public static final IcmpTypeCodeV6 DST_UNREACH_SRC_ADDR_FAIL_POLICY

      ICMPv6 Destination unreachable - source address failed ingress/egress policy.

    - #### DST_UNREACH_REJECT_ROUTE

          public static final IcmpTypeCodeV6 DST_UNREACH_REJECT_ROUTE

      ICMPv6 Destination unreachable - reject route to destination.

    - #### DST_UNREACH_ERROR

          public static final IcmpTypeCodeV6 DST_UNREACH_ERROR

      ICMPv6 Destination unreachable - error in source routing header.

    - #### PKT_TOO_BIG

          public static final IcmpTypeCodeV6 PKT_TOO_BIG

      ICMPv6 Packet too big.

    - #### TIME_EXCEED_HOP_LIMIT

          public static final IcmpTypeCodeV6 TIME_EXCEED_HOP_LIMIT

      ICMPv6 Time exceeded - hop limit exceeded in transit.

    - #### TIME_EXCEED_FRAG_REASS

          public static final IcmpTypeCodeV6 TIME_EXCEED_FRAG_REASS

      ICMPv6 Time exceeded - fragment re-assembly time exceeded.

    - #### PARAM_PROB_ERR_HDR_FIELD

          public static final IcmpTypeCodeV6 PARAM_PROB_ERR_HDR_FIELD

      ICMPv6 Parameter problem - error header field.

    - #### PARAM_PROB_UNK_NEXT_HDR

          public static final IcmpTypeCodeV6 PARAM_PROB_UNK_NEXT_HDR

      ICMPv6 Parameter problem - unknown next header type.

    - #### PARAM_PROB_UNK_IPV6_OPTION

          public static final IcmpTypeCodeV6 PARAM_PROB_UNK_IPV6_OPTION

      ICMPv6 Parameter problem - unknown IPv6 option.

    - #### ECHO_REQ

          public static final IcmpTypeCodeV6 ECHO_REQ

      ICMPv6 Echo request.

    - #### ECHO_REPLY

          public static final IcmpTypeCodeV6 ECHO_REPLY

      ICMPv6 Echo reply.

    - #### MULTICAST_LISTENER_QUERY

          public static final IcmpTypeCodeV6 MULTICAST_LISTENER_QUERY

      ICMPv6 Multicast listener query.

    - #### MULTICAST_LISTENER_REPORT

          public static final IcmpTypeCodeV6 MULTICAST_LISTENER_REPORT

      ICMPv6 Multicast listener report.

    - #### MULTICAST_LISTENER_DONE

          public static final IcmpTypeCodeV6 MULTICAST_LISTENER_DONE

      ICMPv6 Multicast listener report.

    - #### ROUTER_SOLICT_NDP

          public static final IcmpTypeCodeV6 ROUTER_SOLICT_NDP

      ICMPv6 Router solicitation (Neighbor Discovery Protocol).

    - #### ROUTER_ADVERTISE_NDP

          public static final IcmpTypeCodeV6 ROUTER_ADVERTISE_NDP

      ICMPv6 Router advertisement (Neighbor Discovery Protocol).

    - #### NEIGHBOR_SOLICIT_NDP

          public static final IcmpTypeCodeV6 NEIGHBOR_SOLICIT_NDP

      ICMPv6 Neighbor solicitation (Neighbor Discovery Protocol).

    - #### NEIGHBOR_ADVERTISE_NDP

          public static final IcmpTypeCodeV6 NEIGHBOR_ADVERTISE_NDP

      ICMPv6 Neighbor advertisement (Neighbor Discovery Protocol).

    - #### REDIRECT_MSG_NDP

          public static final IcmpTypeCodeV6 REDIRECT_MSG_NDP

      ICMPv6 Redirect message (Neighbor Discovery Protocol).

    - #### ROUTER_RENUM_CMD

          public static final IcmpTypeCodeV6 ROUTER_RENUM_CMD

      ICMPv6 Router renumbering - command.

    - #### ROUTER_RENUM_RESULT

          public static final IcmpTypeCodeV6 ROUTER_RENUM_RESULT

      ICMPv6 Router renumbering - result.

    - #### ROUTER_RENUM_RESET

          public static final IcmpTypeCodeV6 ROUTER_RENUM_RESET

      ICMPv6 Router renumbering - sequence number reset.

    - #### NIQ_V6_ADDR

          public static final IcmpTypeCodeV6 NIQ_V6_ADDR

      ICMPv6 Node information query - IPv6 address.

    - #### NIQ_NAME

          public static final IcmpTypeCodeV6 NIQ_NAME

      ICMPv6 Node information query - name.

    - #### NIQ_V4_ADDR

          public static final IcmpTypeCodeV6 NIQ_V4_ADDR

      ICMPv6 Node information query - IPv4 address.

    - #### NIR_REPLY_OK

          public static final IcmpTypeCodeV6 NIR_REPLY_OK

      ICMPv6 Node information response - successful reply.

    - #### NIR_REFUSE

          public static final IcmpTypeCodeV6 NIR_REFUSE

      ICMPv6 Node information response - responder refuses to answer.

    - #### NIR_UNK

          public static final IcmpTypeCodeV6 NIR_UNK

      ICMPv6 Node information response - query unknown.

    - #### INV_NEIGHBOR_SOLICIT_NDP

          public static final IcmpTypeCodeV6 INV_NEIGHBOR_SOLICIT_NDP

      ICMPv6 Inverse neighbor discovery solicitation Message.

    - #### INV_NEIGHBOR_ADVERTISE_NDP

          public static final IcmpTypeCodeV6 INV_NEIGHBOR_ADVERTISE_NDP

      ICMPv6 Inverse neighbor advertise solicitation Message.

    - #### MULTICAST_LISTENER_DISCO_REPORTS

          public static final IcmpTypeCodeV6 MULTICAST_LISTENER_DISCO_REPORTS

      ICMPv6 Inverse neighbor advertise solicitation message.

    - #### HOME_AGENT_DISCO_REQ

          public static final IcmpTypeCodeV6 HOME_AGENT_DISCO_REQ

      ICMPv6 Home agent address discovery request message.

    - #### HOME_AGENT_DISCO_REPLY

          public static final IcmpTypeCodeV6 HOME_AGENT_DISCO_REPLY

      ICMPv6 Home agent address discovery reply message.

    - #### MOBILE_PREFIX_SOLICIT

          public static final IcmpTypeCodeV6 MOBILE_PREFIX_SOLICIT

      ICMPv6 Mobile prefix solicitation.

    - #### MOBILE_PREFIX_ADVERTISE

          public static final IcmpTypeCodeV6 MOBILE_PREFIX_ADVERTISE

      ICMPv6 Mobile prefix advertisement.

    - #### CERT_PATH_SOLICIT

          public static final IcmpTypeCodeV6 CERT_PATH_SOLICIT

      ICMPv6 Certification path solicitation (SEND).

    - #### CERT_PATH_ADVERTISE

          public static final IcmpTypeCodeV6 CERT_PATH_ADVERTISE

      ICMPv6 Certification path advertisement (SEND).

    - #### MULTICAST_ROUTER_ADVERTISE

          public static final IcmpTypeCodeV6 MULTICAST_ROUTER_ADVERTISE

      ICMPv6 Multicast router advertisement (MRD).

    - #### MULTICAST_ROUTER_SOLICIT

          public static final IcmpTypeCodeV6 MULTICAST_ROUTER_SOLICIT

      ICMPv6 Multicast router advertisement (MRD).

    - #### MULTICAST_ROUTER_TERM

          public static final IcmpTypeCodeV6 MULTICAST_ROUTER_TERM

      ICMPv6 Multicast router termination (MRD).

    - #### RPL_CTRL

          public static final IcmpTypeCodeV6 RPL_CTRL

      ICMPv6 RPL control message.

  - ### Method Detail

    - #### values

          public static IcmpTypeCodeV6[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IcmpTypeCodeV6 c : IcmpTypeCodeV6.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IcmpTypeCodeV6 valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.